%global momorel 3

Name:           perl-MouseX-Types-Path-Class
Version:        0.05
Release:        %{momorel}m%{?dist}
Summary:        Path::Class type library for Mouse
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MouseX-Types-Path-Class/
Source0:        http://www.cpan.org/authors/id/M/MA/MASAKI/MouseX-Types-Path-Class-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-Any-Moose >= 0.05
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Mouse >= 0.19
BuildRequires:  perl-MouseX-Getopt >= 0.05
BuildRequires:  perl-MouseX-Types >= 0.01
BuildRequires:  perl-Path-Class
BuildRequires:  perl-Test-Simple
BuildRequires:  perl-Test-UseAllModules
Requires:       perl(Mouse) >= 0.19
Requires:       perl(Mouse::Util::TypeConstraints)
Requires:       perl(MouseX::Getopt) >= 0.05
Requires:       perl(MouseX::Types) >= 0.01
Requires:       perl(Path::Class)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
MouseX::Types::Path::Class creates common Mouse types, coercions and option
specifications useful for dealing with Path::Class objects as Mouse
attributes.

%prep
%setup -q -n MouseX-Types-Path-Class-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

#%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/MouseX/Types/Path/Class*
%{_mandir}/man3/*

%changelog
* Wed Jun  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-3m)
- remove duplicate directories

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-2m)
- modify BuildRequires

* Mon May 25 2009 Nakamura Hirotaka<h_nakamura@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
